# mypy-boto3-mediapackage-vod

[![PyPI - mypy-boto3-mediapackage-vod](https://img.shields.io/pypi/v/mypy-boto3-mediapackage-vod.svg?color=blue)](https://pypi.org/project/mypy-boto3-mediapackage-vod)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-mediapackage-vod.svg?color=blue)](https://pypi.org/project/mypy-boto3-mediapackage-vod)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

- [mypy-boto3-mediapackage-vod](#mypy-boto3-mediapackage-vod)
  - [How to use](#how-to-use)
  - [Automated type discovery](#automated-type-discovery)


Type annotations for
[boto3.MediaPackageVod 1.13.26](https://boto3.amazonaws.com/v1/documentation/api/1.13.26/reference/services/mediapackage-vod.html#MediaPackageVod) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.0.3](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-mediapackage-vod](#mypy-boto3-mediapackage-vod)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `MediaPackageVod` service.

```bash
python -m pip install boto3-stubs[mediapackage-vod]

# update installed packages index for automated type discovery
python -m mypy_boto3
```

Use `boto3` with `mypy_boto3_mediapackage_vod` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3_mediapackage_vod import MediaPackageVodClient

# Now mypy can check if your code is valid.
client: MediaPackageVodClient = boto3.client("mediapackage-vod")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: MediaPackageVodClient = session.client("mediapackage-vod")



# Annotated paginators are included as well

import mypy_boto3_mediapackage_vod.paginator as mediapackage_vod_paginators

list_assets_paginator: mediapackage_vod_paginators.ListAssetsPaginator = client.get_paginator("list_assets")
list_packaging_configurations_paginator: mediapackage_vod_paginators.ListPackagingConfigurationsPaginator = client.get_paginator("list_packaging_configurations")
list_packaging_groups_paginator: mediapackage_vod_paginators.ListPackagingGroupsPaginator = client.get_paginator("list_packaging_groups")
```

## Automated type discovery

`mypy_boto3` package can generate index for `mypy_boto3_mediapackage_vod` and other installed services.

```bash
# Run this command when you add or remove service packages
python -m mypy_boto3
```

Generated index provides overloads for `boto3.client` and `boto3.service`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully
- `VSCode` does not currently support function overloads

Also, generated index allows you to import types from `mypy_boto3`:

```python
# you can replace imports
import mypy_boto3_mediapackage_vod as mediapackage_vod
from mypy_boto3_mediapackage_vod import MediaPackageVodClient

# with these
from mypy_boto3 import mediapackage_vod
from mypy_boto3.mediapackage_vod import MediaPackageVodClient
```